org.opencv.ximgproc

## Class SparseMatchInterpolator

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SparseMatchInterpolator

- Direct Known Subclasses:
    EdgeAwareInterpolator

      public class SparseMatchInterpolator
      extends Algorithm

  Main interface for all filters, that take sparse matches as an input and produce a dense per-pixel matching (optical flow) as an output.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SparseMatchInterpolator(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparseMatchInterpolator` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `interpolate(Mat from_image, Mat from_points, Mat to_image, Mat to_points, Mat dense_flow)` Interpolate input sparse matches.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparseMatchInterpolator

          protected SparseMatchInterpolator(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SparseMatchInterpolator __fromPtr__(long addr)

    - #### interpolate

          public void interpolate(Mat from_image,
                                  Mat from_points,
                                  Mat to_image,
                                  Mat to_points,
                                  Mat dense_flow)

      Interpolate input sparse matches.
      Parameters:
        `from_image` - first of the two matched images, 8-bit single-channel or three-channel.
        `from_points` - points of the from_image for which there are correspondences in the to_image (Point2f vector, size shouldn't exceed 32767)
        `to_image` - second of the two matched images, 8-bit single-channel or three-channel.
        `to_points` - points in the to_image corresponding to from_points (Point2f vector, size shouldn't exceed 32767)
        `dense_flow` - output dense matching (two-channel CV_32F image)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8